<!--
 * @Author: 小明丶
 * @Date: 2020-11-09 09:50:39
 * @LastEditors: 小明丶
 * @LastEditTime: 2020-11-10 11:17:07
 * @Description: 登录样式组件
-->
<template>
    <div class="login-box">
        <div class="h-login">
            <van-icon :name="icon" :size="iconSize"/>
            <input :type="type" v-model="caleValue" :maxlength="max" :placeholder="placeholder">
            <slot name="right-content">
                
            </slot>
        </div>
    </div>
</template>
<script>
export default {
    name:'loginBox',
    props:{
        icon:String,
        iconSize:String,
        type:{
            type:String,
            default:'text'
        },
        max:Number,
        placeholder:String,
        value:[String,Number]
    },
    computed:{
        caleValue:{
            get(){
                return this.value
            },
            set(newValue){
                this.$emit('input', newValue)
            }
        }
    }
}
</script>
<style lang="less" scoped>
.login-box{
    &{
        border-bottom:1px #ebedf0 solid ;
        margin-bottom: 20px;
    }
    .h-login{
        display: flex;
        padding: 11px 16px ;
    }
    input{
        border: 0;
        outline: none;
        background: #fff;
        text-align: left;
    }
}
</style>